org.apache.ignite.binary

## Class BinaryTypeConfiguration

- java.lang.Object
- - org.apache.ignite.binary.BinaryTypeConfiguration

    public class BinaryTypeConfiguration
    extends Object

Defines configuration properties for a specific binary type. Providing per-type configuration is optional, as it is generally enough, and also optional, to provide global binary configuration using `IgniteConfiguration.setBinaryConfiguration(BinaryConfiguration)`. However, this class allows you to change configuration properties for a specific binary type without affecting configuration for other binary types.

### Constructor Summary

Constructors
Constructor and Description
`BinaryTypeConfiguration()` Constructor.
`BinaryTypeConfiguration(BinaryTypeConfiguration other)` Copying constructor.
`BinaryTypeConfiguration(String typeName)`

### Method Summary

Methods
`Map<String,Integer>` `getEnumValues()`
`BinaryIdMapper` `getIdMapper()` Gets ID mapper.
`BinaryNameMapper` `getNameMapper()` Gets name mapper.
`BinarySerializer` `getSerializer()` Gets serializer.
`String` `getTypeName()` Gets type name.
`boolean` `isEnum()` Gets whether this is enum type.
`BinaryTypeConfiguration` `setEnum(boolean isEnum)` Sets whether this is enum type.
`BinaryTypeConfiguration` `setEnumValues(Map<String,Integer> values)` Set enum ordinal to names mapping.
`BinaryTypeConfiguration` `setIdMapper(BinaryIdMapper idMapper)` Sets ID mapper.
`BinaryTypeConfiguration` `setNameMapper(BinaryNameMapper nameMapper)` Sets name mapper.
`BinaryTypeConfiguration` `setSerializer(BinarySerializer serializer)` Sets serializer.
`BinaryTypeConfiguration` `setTypeName(String typeName)` Sets type name.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BinaryTypeConfiguration

    public BinaryTypeConfiguration()

Constructor.

#### BinaryTypeConfiguration

    public BinaryTypeConfiguration(BinaryTypeConfiguration other)

Copying constructor.

Parameters:
  `other` - Other instance.

#### BinaryTypeConfiguration

    public BinaryTypeConfiguration(String typeName)

Parameters:
  `typeName` - Class name.

### Method Detail

#### getTypeName

    public String getTypeName()

Gets type name.

Returns:
  Type name.

#### setTypeName

    public BinaryTypeConfiguration setTypeName(String typeName)

Sets type name.

Parameters:
  `typeName` - Type name.
Returns:
  `this` for chaining.

#### getIdMapper

    public BinaryIdMapper getIdMapper()

Gets ID mapper.

Returns:
  ID mapper.

#### setIdMapper

    public BinaryTypeConfiguration setIdMapper(BinaryIdMapper idMapper)

Sets ID mapper.

Parameters:
  `idMapper` - ID mapper.
Returns:
  `this` for chaining.

#### getNameMapper

    public BinaryNameMapper getNameMapper()

Gets name mapper.

Returns:
  Name mapper.

#### setNameMapper

    public BinaryTypeConfiguration setNameMapper(BinaryNameMapper nameMapper)

Sets name mapper.

Parameters:
  `nameMapper` - Name mapper.
Returns:
  `this` for chaining.

#### getSerializer

    public BinarySerializer getSerializer()

Gets serializer.

Returns:
  Serializer.

#### setSerializer

    public BinaryTypeConfiguration setSerializer(BinarySerializer serializer)

Sets serializer.

Parameters:
  `serializer` - Serializer.
Returns:
  `this` for chaining.

#### isEnum

    public boolean isEnum()

Gets whether this is enum type.

Returns:
  `True` if enum.

#### setEnum

    public BinaryTypeConfiguration setEnum(boolean isEnum)

Sets whether this is enum type.

Parameters:
  `isEnum` - `True` if enum.
Returns:
  `this` for chaining.

#### setEnumValues

    public BinaryTypeConfiguration setEnumValues(@Nullable
                                        Map<String,Integer> values)

Set enum ordinal to names mapping.

Parameters:
  `values` - Map of enum name to ordinal.
Returns:
  `this` for chaining.

#### getEnumValues

    @Nullable
    public Map<String,Integer> getEnumValues()

Returns:
  Enum name to ordinal mapping

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017